Loading...
Searching...
No Matches
Opm::Elasticity::MPC::Less Class Reference

Comparison predicate for MPCs. More...

`#include <mpc.hh>`

## Public Member Functions

bool | operator() (const MPC *lhs, const MPC *rhs) const
| Comparison operator used when inserting an MPC-pointer into a set<MPC*,MPC::Less> object.

## Static Public Attributes

static bool | compareSlaveDofOnly = false
| Indicates whether only the slave dof number should affect sorting.

## Detailed Description

Comparison predicate for MPCs.

## Member Data Documentation

## compareSlaveDofOnly

bool Opm::Elasticity::MPC::Less::compareSlaveDofOnly = false

static

Indicates whether only the slave dof number should affect sorting.

The default is to also compare the associated coefficients.

The documentation for this class was generated from the following files:

- opm/elasticity/mpc.hh
- opm/elasticity/mpc.cpp